var SERVER = 'http://www.google.com/searchbyimage';

const imageSearch = function(info, tab){
var url=SERVER + '?image_url=' + encodeURIComponent(info.srcUrl);    
     chrome.tabs.create({ url: url});
};


chrome.runtime.onInstalled.addListener( () => {
  chrome.contextMenus.create({
    id: 'searchImage',
    title: "Search image in Google", 
    contexts:[ "image" ]
  });
});

chrome.contextMenus.onClicked.addListener( ( info, tab ) => {
  if ( 'searchImage' === info.menuItemId ) {
    imageSearch( info, tab );
  }
} );